Loading...
Searching...
No Matches
lirc.database.Config Class Reference
python configuration database

The configuration selected, and it's sources. More...

Inheritance diagram for lirc.database.Config:

## Public Member Functions

| __init__ (self, cf=None)
| note (self)
| The possible note to display when selected.

## Public Attributes

dict | device = "" if cf:
| selected device.
| config

## Detailed Description

The configuration selected, and it's sources.

Definition at line 100 of file database.py.

## Constructor & Destructor Documentation

## __init__()

lirc.database.Config.__init__ | ( |  | self,
|  |  | cf = None )

Definition at line 103 of file database.py.

## Member Function Documentation

## note()

lirc.database.Config.note | ( |  | self | ) |

The possible note to display when selected.

Definition at line 118 of file database.py.

## Member Data Documentation

## config

lirc.database.Config.config

Definition at line 119 of file database.py.

## device

dict lirc.database.Config.device = "" if cf:

selected device.

Read-only driver dict in db

Read-only config dict in db

Substituted data from driver

Substituted data from driver

Name of lircd.conf file

Name of lircmd.conf file

Label for driver + device

Definition at line 104 of file database.py.

The documentation for this class was generated from the following file:

- database.py